swfcombine(1)

NAME
swfcombine - a tool for combining swf (flash) files

Synopsis
swfcombine [options] [masterfile.swf] [slavename1=][slavefile1.swf] ... [slavenameN=][slavefileN.swf] swfcombine [options] [masterfile.swf] [#id1=][slavefile1.swf] ... [#idN=][slavefileN.swf] swfcombine [options] --stack [slavename1=][slavefile1.swf] ... [slavenameN=][slavefileN.swf] swfcombine [options] --cat [slavename1=][slavefile1.swf] ... [slavenameN=][slavefileN.swf] swfcombine [options] --dummy [file.swf]

DESCRIPTION
Take two or more SWF files, and combine them into a new SWF. SWFs can either be stacked (no masterfile is present) or inserted (into the masterfile).

SWF files are animation files which can be displayed in Web Browsers using the Flash Plugin.

For template mechanisms, it's often convenient to separate the processes of generating small animation fragments and merging them into a big movie. swfcombine can be used to perform the latter.

OPTIONS

-h, --help
    Print short help message and exit

-V, --version
    Print version info and exit

-o, --output filename
    Explicitly specify output file. (otherwise, output.swf will be used)

-z, --zlib
    Use Flash MX (SWF 6) Zlib encoding for the output. The resulting SWF will be smaller, but not playable in Flash Plugins of Version 5 and below.

-l, --overlay
    Don't remove any master objects, only overlay new objects.

-c, --clip
    Clip the slave objects by the corresponding master objects.

-m, --merge
    Do not store the slave files in a sprite/MovieClip. Instead, merge the files frame by frame.

-d, --dummy
    Don't require the presence of slave objects. Usually used together with -X, -Y or -r.

-v, --verbose
    Be verbose. Use more than one -v for greater effect.

-t, --stack
    Don't assume the first file is a master file. Instead, store each file in a seperate frame.

-a, --cat
    Like -t, but concatenate the files.

-X, --width width
    Force the output to width width. (Otherwise, the width of the master file will be used)

-Y, --height height
    Force the output to height height. (Otherwise, the height of the master file will be used)

-r, --rate rate
    Force the output to have the framerate rate. (Otherwise, the framerate of the master file will be used)

-f, --frame
    The next slave replaces a frame, not an object. Therefore the slave identifier is a frame number (#frame=) or frame label (framelabel=).

-x, --xpos xpos
    (move x) Adjust position of slave by xpos twips (1/20 pixel).

-y, --ypos ypos
    (move y) Adjust position of slave by ypos twips (1/20 pixel).

-s, --scale scale
    (scale) Adjust size of slave by scale%

Combining two or more .swf files using a master file
Of the flash files to be combined, all except one will be packed into a sprite structure (Movieclip) which will then be inserted into the master .swf file. This means that, in terms of trees, when combining several flash files, one will form the root of the tree, while the others will be appended to the root as a subnode. The user has to specify which of the files will become the root of the tree ("master") and which will be the appended nodes ("slaves"). The slave files must all have a name, which is then used to determine their exact position inside the master file. The slave files will then be converted into sprites, inserted into the master file, and all PlaceObject tags in the master file which match the name of the slave file will be updated to correctly display the slave sprite. The slave name may also be the object id, preceded by '#', in which case the object to be replaced is referenced by id and not by instance name.

Combining (stacking) one or more .swf files without a master
The flash files will be inserted in seperate frames. They will still be packed into Movieclips, therefore the outputfile will have exactly as many frames as there were inputfiles. Also, the files don't need to have names. If you want to access the Movieclips, their names are frameXX, where XX is the decimal number of the file, starting by zero (00).

EXAMPLES
Create two flash movies. Insert some rectangle into one of them, and give it a name. (E.g. "foo") Now call swfcombine -o combined.swf master.swf foo=slave.swf As a result, the slave movie should be visible inside the master movie at the position where the rectangle used to be.

AUTHOR
Matthias Kramm <kramm@quiss.org>